%define api		1.0
%define major		6
%define major_1		1
%define libname_dbus	%mklibname dleyna-connector-dbus
%define libname		%mklibname dleyna-core %{api} %{major}
%define develname	%mklibname dleyna-core %{api} -d

%global __provides_exclude_from ^%{_libdir}/dleyna-%{api}/connectors/.*\\.so$

Name:		dleyna
Version:	0.8.3
Release:	%mkrel 3
Summary:	Services and D-Bus APIs for UPnP access
Group:		System/Servers
License:	LGPLv2
URL:		https://gitlab.gnome.org/World/dLeyna
Source0:	https://gitlab.gnome.org/World/dLeyna/-/archive/v%{version}/dLeyna-v%{version}.tar.bz2

BuildRequires:	meson
BuildRequires:	python3-docutils
BuildRequires:	python3-sphinx
BuildRequires:	python3-devel
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gssdp-1.6)
BuildRequires:	pkgconfig(gupnp-1.6)
BuildRequires:	pkgconfig(gupnp-av-1.0)
BuildRequires:	pkgconfig(gupnp-dlna-2.0)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(libxml-2.0)

%description
dLeyna is a set of services and D-Bus APIs that aim to simplify access to UPnP
and DLNA media devices in a network.

%package  renderer
Summary:	Service for interacting with Digital Media Renderers
Group:		System/Servers
Requires:	%mklibname dleyna-connector-dbus

%description renderer
D-Bus service for clients to discover and manipulate DLNA Digital Media
Renderers (DMRs).

%package  server
Summary:	Service for interacting with Digital Media Servers
Group:		System/Servers
Requires:	dbus
Requires:	%mklibname dleyna-connector-dbus

%description server
D-Bus service for clients to discover and manipulate DLNA Digital Media
Servers (DMSes).

%package  -n %{libname_dbus}
Summary:	D-Bus connector for dLeyna services
Group:		System/Libraries
Provides:	%{name}-connector-dbus = %{version}-%{release}
Provides:	%{name}-connector-dbus%{?_isa} = %{version}-%{release}

%description -n %{libname_dbus}
D-Bus connector for dLeyna services.

%package -n %{libname}
Summary:	Utilities for higher level dLeyna libraries
Group:		System/Libraries

%description -n %{libname}
A set of utility functions that are used by the higher level dLeyna libraries
to communicate with DLNA devices. It provides APIs for logging, error, settings
and task management, and an IPC abstraction.

%package -n %{develname}
Summary:	Development files for %{name}-core
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-core-devel = %{version}-%{release}

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}-core.

%prep
%autosetup -p1 -n dLeyna-v%{version}

%build
%meson -Duser_agent_prefix='%{_vendor}'
%meson_build

%install
%meson_install

# No consumers of the Python module in Fedora.
rm -rf %{buildroot}%{python3_sitelib}
# These were not installed in the previous split packages.
# As there are no consumers in Mageia only add these to the devel subpackage
# if they are requested in future.
rm -rf %{buildroot}%{_libdir}/dleyna/libdleyna-renderer-1.0.so \
       %{buildroot}%{_libdir}/pkgconfig/dleyna-renderer-service-1.0.pc \
       %{buildroot}%{_libdir}/dleyna-server/libdleyna-server-1.0.so \
       %{buildroot}%{_libdir}/pkgconfig/dleyna-server-service-1.0.pc \
       %{_includedir}/dleyna-1.0/renderer \
       %{_includedir}/dleyna-1.0/server

%files renderer
%doc ChangeLog.renderer
%license COPYING
%{_datadir}/dbus-1/services/com.intel.%{name}-renderer.service

%{_libdir}/%{name}/libdleyna-renderer-%{api}.so.%{major_1}{,.*}

%{_libexecdir}/%{name}-renderer-service
%config(noreplace) %{_sysconfdir}/%{name}-renderer-service.conf

%{_mandir}/man1/%{name}-renderer-service.1*
%{_mandir}/man5/%{name}-renderer-service.conf.5*

%files server
%doc ChangeLog.server
%license COPYING
%{_datadir}/dbus-1/services/com.intel.%{name}-server.service

%dir %{_libdir}/%{name}-server
%{_libdir}/%{name}-server/libdleyna-server-%{api}.so.%{major_1}{,.*}

%{_libexecdir}/%{name}-server-service
%config(noreplace) %{_sysconfdir}/%{name}-server-service.conf

%{_mandir}/man1/%{name}-server-service.1*
%{_mandir}/man5/%{name}-server-service.conf.5*

%files -n %{libname_dbus}
%doc ChangeLog.connector-dbus
%license COPYING
%dir %{_libdir}/%{name}-%{api}
%dir %{_libdir}/%{name}-%{api}/connectors
%{_libdir}/%{name}-%{api}/connectors/libdleyna-connector-dbus.so

%files -n %{libname}
%license COPYING
%doc ChangeLog.core
%{_libdir}/libdleyna-core-%{api}.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS README*
%{_includedir}/%{name}-%{api}/
%{_libdir}/libdleyna-core-%{api}.so
%{_libdir}/pkgconfig/%{name}-core-%{api}.pc


%changelog
* Sun Mar 16 2025 wally <wally> 0.8.3-3.mga10
+ Revision: 2164765
- rebuild for libxml2 2.13.6

* Tue Oct 22 2024 daviddavid <daviddavid> 0.8.3-2.mga10
+ Revision: 2109762
- fix dependencies

* Tue Oct 22 2024 daviddavid <daviddavid> 0.8.3-1.mga10
+ Revision: 2109692
- new version: 0.8.3
- now contains -core, -server, -renderer and -connector-dbus sub-pkgs
- packages was renamed as dleyna and contains now all previous separate pkgs

* Mon Sep 19 2022 wally <wally> 0.7.0-1.mga9
+ Revision: 1890448
- new version 0.7.0 from new github fork
- new lib major 6
- add patches for GUPnP 1.6 API support

* Thu Mar 31 2022 umeabot <umeabot> 0.6.0-3.mga9
+ Revision: 1836659
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.6.0-2.mga8
+ Revision: 1523859
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Mar 14 2019 daviddavid <daviddavid> 0.6.0-1.mga7
+ Revision: 1376619
- new version: 0.6.0
- port to new GUPnP API 1.2

* Sun Sep 23 2018 umeabot <umeabot> 0.5.0-3.mga7
+ Revision: 1297460
- Mageia 7 Mass Rebuild

* Thu Feb 11 2016 umeabot <umeabot> 0.5.0-2.mga6
+ Revision: 953788
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 cjw <cjw> 0.5.0-1.mga6
+ Revision: 847320
- 0.5.0

* Sun Nov 16 2014 cjw <cjw> 0.4.0-1.mga5
+ Revision: 797585
- imported package dleyna-core

